import { _decorator, CCInteger, Component, tween, Vec3, Node, Animation, Tween, Skeleton, sp } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('SpinAni')
export class SpinAni extends Component {

    @property(sp.Skeleton)
    private rotateSpine: sp.Skeleton = null;

    onLoad() {
        this.playIdleSpin()
    }

    private playIdleSpin() {
        this.rotateSpine.timeScale = 1
        this.rotateSpine.clearTracks()
        this.rotateSpine.setAnimation(0, 'idle', true)
    }

    public startSpin(isFastSpin: boolean) {
        this.rotateSpine.timeScale = isFastSpin ? 2 : 1

        this.rotateSpine.setAnimation(0, 'Click', true)

    }

    public stopSpin() {
        this.playIdleSpin();
    }

}



